Summary: A blazingly fast and Pythonic SNMP library
Name: python-easysnmp
Version: 0.2.6
Release: 1%{?dist}
License: BSD
URL: https://github.com/kamakazikamikaze/easysnmp
Source0: https://github.com/kamakazikamikaze/easysnmp/archive/%{version}.tar.gz#%/easysnmp-%{version}.tar.gz
BuildRequires:  net-snmp-devel
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# Required for the tests that doesn't work
#BuildRequires:  python3dist(pytest)
#BuildRequires:  python3dist(pytest-cov)
#BuildRequires:  python3dist(pytest-flake8)
#BuildRequires:  python3dist(pytest-sugar)

%description
Easy SNMP is a fork of Net-SNMP Python Bindings that attempts to bring a more
Pythonic interface to the library.

This module provides a full-featured SNMP client API and supports all dialects
of the SNMP protocol.

%prep

%setup -q -n easysnmp-%{version}

%build
%py3_build

%install
%py3_install

#check
#{python3} setup.py test

%files
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python3_sitearch}/easysnmp*

%changelog
* Fri Jan 20 2023 Oden Eriksson <oe@nux.se> - 0.2.6-1
- Initial package.
